Locale.LoadContext (xmlbeans API)

org.apache.xmlbeans.impl.store

## Class Locale.LoadContext

- java.lang.Object
- - org.apache.xmlbeans.impl.store.Locale.LoadContext

- Direct Known Subclasses:
    Cur.CurLoadContext
  Enclosing class:
    Locale

      public abstract static class Locale.LoadContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadContext()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `abort()`
    `protected void` | `addIdAttr(String eName, String aName)`
    `abstract void` | `attr(QName name, String value)`
    `protected abstract void` | `attr(String local, String uri, String prefix, String value)`
    `protected abstract void` | `bookmark(XmlCursor.XmlBookmark bm)`
    `protected abstract void` | `bookmarkLastAttr(QName attrName, XmlCursor.XmlBookmark bm)`
    `protected abstract void` | `bookmarkLastNonAttr(XmlCursor.XmlBookmark bm)`
    `protected abstract void` | `comment(char[] buff, int off, int cch)`
    `protected abstract void` | `comment(String comment)`
    `protected abstract void` | `endDTD()`
    `protected abstract void` | `endElement()`
    `abstract Cur` | `finish()`
    `protected boolean` | `isAttrOfTypeId(QName aqn, QName eqn)`
    `protected abstract void` | `lineNumber(int line, int column, int offset)`
    `protected abstract void` | `procInst(String target, String value)`
    `protected abstract void` | `startDTD(String name, String publicId, String systemId)`
    `protected abstract void` | `startElement(QName name)`
    `protected abstract void` | `text(char[] buff, int off, int cch)`
    `protected abstract void` | `text(String s)`
    `protected abstract void` | `xmlns(String prefix, String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadContext

          public LoadContext()

  - ### Method Detail

    - #### startDTD

          protected abstract void startDTD(String name,
                                           String publicId,
                                           String systemId)

    - #### endDTD

          protected abstract void endDTD()

    - #### startElement

          protected abstract void startElement(QName name)

    - #### endElement

          protected abstract void endElement()

    - #### attr

          public abstract void attr(QName name,
                                    String value)

    - #### attr

          protected abstract void attr(String local,
                                       String uri,
                                       String prefix,
                                       String value)

    - #### xmlns

          protected abstract void xmlns(String prefix,
                                        String uri)

    - #### comment

          protected abstract void comment(char[] buff,
                                          int off,
                                          int cch)

    - #### comment

          protected abstract void comment(String comment)

    - #### procInst

          protected abstract void procInst(String target,
                                           String value)

    - #### text

          protected abstract void text(char[] buff,
                                       int off,
                                       int cch)

    - #### text

          protected abstract void text(String s)

    - #### finish

          public abstract Cur finish()

    - #### abort

          protected abstract void abort()

    - #### bookmark

          protected abstract void bookmark(XmlCursor.XmlBookmark bm)

    - #### bookmarkLastNonAttr

          protected abstract void bookmarkLastNonAttr(XmlCursor.XmlBookmark bm)

    - #### bookmarkLastAttr

          protected abstract void bookmarkLastAttr(QName attrName,
                                                   XmlCursor.XmlBookmark bm)

    - #### lineNumber

          protected abstract void lineNumber(int line,
                                             int column,
                                             int offset)

    - #### addIdAttr

          protected void addIdAttr(String eName,
                                   String aName)

    - #### isAttrOfTypeId

          protected boolean isAttrOfTypeId(QName aqn,
                                           QName eqn)